OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ShaderStorageBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBShaderStorageBufferObject :: MonadIO m => m Bool
- gl_ARB_shader_storage_buffer_object :: Bool
- pattern GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS :: GLenum
- pattern GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES :: GLenum
- pattern GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS :: GLenum
- pattern GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS :: GLenum
- pattern GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS :: GLenum
- pattern GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS :: GLenum
- pattern GL_MAX_SHADER_STORAGE_BLOCK_SIZE :: GLenum
- pattern GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS :: GLenum
- pattern GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS :: GLenum
- pattern GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS :: GLenum
- pattern GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS :: GLenum
- pattern GL_SHADER_STORAGE_BARRIER_BIT :: GLbitfield
- pattern GL_SHADER_STORAGE_BUFFER :: GLenum
- pattern GL_SHADER_STORAGE_BUFFER_BINDING :: GLenum
- pattern GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT :: GLenum
- pattern GL_SHADER_STORAGE_BUFFER_SIZE :: GLenum
- pattern GL_SHADER_STORAGE_BUFFER_START :: GLenum
- glShaderStorageBlockBinding :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()

# Extension Support

glGetARBShaderStorageBufferObject :: MonadIO m => m Bool Source #

Is the ARB_shader_storage_buffer_object extension supported?

gl_ARB_shader_storage_buffer_object :: Bool Source #

Is the ARB_shader_storage_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBShaderStorageBufferObject` in those cases instead.

# Enums

pattern GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS :: GLenum Source #

pattern GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES :: GLenum Source #

pattern GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS :: GLenum Source #

pattern GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS :: GLenum Source #

pattern GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS :: GLenum Source #

pattern GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS :: GLenum Source #

pattern GL_MAX_SHADER_STORAGE_BLOCK_SIZE :: GLenum Source #

pattern GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS :: GLenum Source #

pattern GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS :: GLenum Source #

pattern GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS :: GLenum Source #

pattern GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS :: GLenum Source #

pattern GL_SHADER_STORAGE_BARRIER_BIT :: GLbitfield Source #

pattern GL_SHADER_STORAGE_BUFFER :: GLenum Source #

pattern GL_SHADER_STORAGE_BUFFER_BINDING :: GLenum Source #

pattern GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT :: GLenum Source #

pattern GL_SHADER_STORAGE_BUFFER_SIZE :: GLenum Source #

pattern GL_SHADER_STORAGE_BUFFER_START :: GLenum Source #

# Functions

glShaderStorageBlockBinding Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `storageBlockIndex`.
-> GLuint | `storageBlockBinding`.
-> m () |

Manual page for OpenGL 4.x.